%define builtin_release_version 4.2
%define builtin_release_name "Scientific Linux Fermi" 
%define builtin_release_variant  LTS
%define builtin_release_codename Wilson 
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: %{builtin_release_name} release file
Name: Fermi-release
Version: %{real_release_version}
Release: 1
Copyright: GPL
Group: System Environment/Base
Source: sl-release-SL-%{builtin_release_version}.tar.gz
Source1: %{name}-sources
Source2: %{name}-default-bookmarks.html
Source11: SL.releasenote.i386
Source12: SL.releasenote.x86_64
#Source13: SL.releasenote.ia64
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de hepl-release redhat-release sl-release zz_fermi-release
Provides: redhat-release
BuildRoot: %{_tmppath}/redhat-release-root
BuildArchitectures: noarch
Epoch: 21

%description
%{builtin_release_name} release file

%prep
%setup -q -n sl-release-SL-%{builtin_release_version}

%%build 
#python -c "import py_compile; py_compile.compile('eula.py')"

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{builtin_release_name} %{builtin_release_variant} release %{builtin_release_version} (%{builtin_release_codename})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rhn/sources

mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/%{name}/default-bookmarks.html

#mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
#cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

#mkdir -p $RPM_BUILD_ROOT/usr/share/eula
#cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

install -m 644 %{SOURCE11} $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/
install -m 644 %{SOURCE12} $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/
#install -m 644 %{SOURCE13} $RPM_BUILD_DIR/sl-release-SL-%{builtin_release_version}/

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%post
{
   # Read current mozilla root value, deduce plugin dir
   _MOZILLA_DEF_BOOKMARK_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/mozilla)/defaults/profile

   [ -d "$_MOZILLA_DEF_BOOKMARK_DIR" ] && cp -f /usr/share/%{name}/default-bookmarks.html $_MOZILLA_DEF_BOOKMARK_DIR/bookmarks.html
} &> /dev/null || :
{
   # Read current firefox root value, deduce plugin dir
   _MOZILLA_DEF_BOOKMARK_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/firefox)/defaults/profile

   [ -d "$_MOZILLA_DEF_BOOKMARK_DIR" ] && cp -f /usr/share/%{name}/default-bookmarks.html $_MOZILLA_DEF_BOOKMARK_DIR/bookmarks.html
} &> /dev/null || :
#change the title of the default kernel to be the current release name
# Only for machines using grub
if [ -s /boot/grub/grub.conf ] ; then
        DEFAULTKERNEL="$(/sbin/grubby --default-kernel)"
        if [ "$DEFAULTKERNEL" != "" ] ; then
                version="$(echo $DEFAULTKERNEL | cut -d'-' -f2-)"
                title="$(sed 's/ release//' < /etc/redhat-release) ($version)"
                INIT="$(/sbin/grubby --info=$DEFAULTKERNEL | grep initrd= | cut-d'=' -f2 | sort -u)"
                /sbin/grubby --add-kernel=$DEFAULTKERNEL --initrd=$INIT --copy-default --make-default --title "$title"
        fi
fi

%triggerin -- mozilla, %{_bindir}/mozilla
{
   # Read current mozilla root value, deduce plugin dir
   _MOZILLA_DEF_BOOKMARK_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/mozilla)/defaults/profile

   [ -d "$_MOZILLA_DEF_BOOKMARK_DIR" ] && cp -f /usr/share/%{name}/default-bookmarks.html $_MOZILLA_DEF_BOOKMARK_DIR/bookmarks.html
} &> /dev/null || :

%triggerin -- firefox, %{_bindir}/firefox
{
   # Read current firefox root value, deduce plugin dir
   _MOZILLA_DEF_BOOKMARK_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/firefox)/defaults/profile

   [ -d "$_MOZILLA_DEF_BOOKMARK_DIR" ] && cp -f /usr/share/%{name}/default-bookmarks.html $_MOZILLA_DEF_BOOKMARK_DIR/bookmarks.html
} &> /dev/null || :


%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc SL*
%doc GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%config(noreplace) /usr/share/%{name}/default-bookmarks.html
/var/lib/supportinfo
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
#/usr/share/firstboot/modules/eula.py*
#/usr/share/eula/eula.*
